#include <windows.h>


static BOOL
IsValueOk(PUINT Table, UINT Size, UINT Value)
{
  UINT i;
  for(i=0; i<Size; i++)
  {
    if(Table[i] == Value)
    {
      return FALSE;
    }
  }
  return TRUE;
}

VOID
GetHashTable(PUINT Table, UINT Size)
{
  UINT i, random, div=Size*2 +1;

  srand(time(NULL));

  for(i=0; i<Size; i++)
  {
    random = rand();
    random = random%div;
    random = random/2;
    if(random>Size-1) random = Size-1;

    while(!IsValueOk(Table, i, random))
    {
      random = rand();
      random = random%div;
      random = random/2;
      if(random>Size-1) random = Size-1;
    }
    Table[i] = random;
  }
}