#ifndef __SPIN_H__
#define __SPIN_H__

#include <windows.h>


typedef ULONG_PTR SPIN_LOCK;
typedef KSPIN_LOCK *PSPIN_LOCK;

typedef struct _SPIN_LOCK_QUEUE {
    struct _SPIN_LOCK_QUEUE * volatile Next;
    PSPIN_LOCK volatile Lock;
} SPIN_LOCK_QUEUE, *PSPIN_LOCK_QUEUE;



void
AcquireQueuedSpinLock(PSPIN_LOCK_QUEUE pSpinLockQueue);

void
ReleaseQueuedSpinLock(PSPIN_LOCK_QUEUE pSpinLockQueue);


VOID
AcquireSpinLock(PSPIN_LOCK SpinLock);

VOID
ReleaseSpinLock(PSPIN_LOCK SpinLock);

#endif // __SPIN_H__
